Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_io_buffer_t Struct Reference

`#include <io.h>`

## Data Fields
char * | ptr
int | off
int | len
int | capa

## Detailed Description

Definition at line 56 of file io.h.

## Field Documentation

int rb_io_buffer_t::capa

Definition at line 60 of file io.h.

Referenced by fill_cbuf(), finish_writeconv(), io_binwrite(), io_fillbuf(), io_getc(), io_shift_cbuf(), io_ungetbyte(), make_readconv(), rb_io_each_codepoint(), rb_io_memsize(), and rb_io_ungetc().

int rb_io_buffer_t::len

Definition at line 59 of file io.h.

Referenced by appendline(), copy_stream_body(), fill_cbuf(), finish_writeconv(), fptr_finalize(), io_binwrite(), io_fflush(), io_fillbuf(), io_flush_buffer_sync(), io_getc(), io_shift_cbuf(), io_ungetbyte(), io_unread(), make_readconv(), rb_io_check_char_readable(), rb_io_check_writable(), rb_io_each_byte(), rb_io_each_codepoint(), rb_io_getbyte(), rb_io_getline_fast(), rb_io_reopen(), rb_io_sysseek(), rb_io_syswrite(), rb_io_tell(), rb_io_ungetc(), read_all(), and read_buffered_data().

int rb_io_buffer_t::off

Definition at line 58 of file io.h.

Referenced by appendline(), fill_cbuf(), finish_writeconv(), io_binwrite(), io_fillbuf(), io_flush_buffer_sync(), io_getc(), io_shift_cbuf(), io_ungetbyte(), io_unread(), make_readconv(), rb_io_each_byte(), rb_io_each_codepoint(), rb_io_getbyte(), rb_io_getline_fast(), rb_io_reopen(), rb_io_ungetc(), and read_buffered_data().

char* rb_io_buffer_t::ptr

Definition at line 57 of file io.h.

Referenced by appendline(), clear_readconv(), fill_cbuf(), finish_writeconv(), io_binwrite(), io_fillbuf(), io_flush_buffer_sync(), io_getc(), io_shift_cbuf(), io_ungetbyte(), make_readconv(), rb_io_each_byte(), rb_io_each_codepoint(), rb_io_fptr_finalize(), rb_io_getbyte(), rb_io_ungetc(), and read_buffered_data().

The documentation for this struct was generated from the following file:

- include/ruby/io.h